// Stabil ldarendezs

#include <iostream>

using namespace std;

void kiir(int n, int x[]){
	for(int i = 1; i <= n; i++)
		cout << x[i] << " ";
	cout << endl;
}

int maximum(int n, int x[]){
	int max = x[1];

	for(int i = 2; i <= n; i++)
		if(max < x[i])
			max = x[i];

	return max;
}

void LadaRendezes(int n, int x[], int y[]){
	int k = maximum(n, x);
	int seged[100];

	for(int i = 1; i <= k; i++)
		seged[i] = 0;

	for(int j = 1; j <= n; j++)
		seged[x[j]]++;

    for(int i = 2; i <= k; i++)
       seged[i] += seged[i - 1];

    for(int j = n; j >= 1; j--){
        y[seged[x[j]]] = x[j];//y = az x sorozat rendezve }
        seged[x[j]] -= 1;
    }
}

int main(){
	cout << " - Lada Rendezes - \n\n";

	int x[] = {0, 11, 7, 21, 7, 5, 1, 6, 2, 10, 4, 2};
	int n = 11;
	
	int y[11];

	cout << "A sorozat: " << endl;
	kiir(n, x);
	cout << endl;
	
	LadaRendezes(n, x, y);

	cout << "Rendezve: " << endl;
	kiir(n, y);
	cout << endl;
}
