// Hatrozzuk meg az n elem bemeneti tmb legnagyobb rtknek helyt!

#include <iostream>
#include <fstream>

using namespace std;

int const maxDim = 101;

ifstream fin("adatok.in");

void beOlvas(int & n, int x[]){

	fin >> n; 
	for(int i = 1; i <= n; i++)
		fin >> x[i];	
}

void kiir(int n, int x[]){

	cout << "n = " << n << endl;
	for(int i = 1; i <= n; i++)
		cout << x[i] << " ";	
	cout << endl;
}

int maximumHelye(int n, int x[]){
// iteratv implementci

	int hely = 1;
	
	for(int i = 2; i <= n; i++)
		if(x[hely] < x[i])
			hely = i;
	
	return hely;
}

int maximumHelyeRek(int n, int x[]){
// rekurzv implementci

	if(n == 1)
		return 1;
	else
		if(x[n] > x[maximumHelyeRek(n - 1, x)])
			return n;
		else
			return maximumHelyeRek(n - 1, x);
}

int main(){
	int n, k;
	int x[maxDim];
	
	beOlvas(n, x);
	kiir(n, x);

	cout << "Iterativan: " << endl;
	k = maximumHelye(n, x);
	cout << "A tomb maximuma = " << x[k] << " a " << k << ". helyen" << endl;	
	
	cout << "Rekurzivan: " << endl;
	k = maximumHelyeRek(n, x);
	cout << "A tomb maximuma = " << x[k] << " a " << k << ". helyen" << endl;	
}


