// Buborkrendezs az utols csere helyig

#include <iostream>

using namespace std;

void kiir(int n, int x[]){
	for(int i = 1; i <= n; i++)
		cout << x[i] <<" ";
	cout << endl;
}

void csere(int & a, int & b){
	a ^= b ^= a ^= b;	
}

void javitottBuborekRendezes2(int n, int x[]){
	bool rendezett;
	int k = n;

	do{
		rendezett = true;
		int nn = k - 1;

		for(int i = 1; i <= nn; i++){
			if(x[i] > x[i + 1]){
				csere(x[i], x[i + 1]);
				rendezett = false;
				k = i;// az utols csere helye
			}
		}

	}while(!rendezett);
}

int main(){
	cout << " - Javitott Bubble Sort 2 - \n\n";

	int x[] = {0, 13, 5, 1, 45, 21, 100, 6, 321, 11, 4, 12};
	int n = 11;

	cout << "A sorozat: " << endl;
	kiir(n, x);
	cout << endl;
	
	javitottBuborekRendezes2(n, x);

	cout << "Rendezve: " << endl;
	kiir(n, x);
	cout << endl;
}
