// Egyszer felcserlses rendezs

#include <iostream>

using namespace std;

void kiir(int n, int x[]){

	for(int i = 0; i < n; i++)
		cout << x[i] << " ";
	cout << endl;
}

void csere(int & a, int & b){
	a ^= b ^= a ^= b;	// felcserls a xor (kizr vagy) alkalmazsval
}

void novekvoSorrendbeRendezes(int n, int x[]){

  int id;
  
  for(int i = 0; i < n-1; i++)
    for(int j = i+1; j < n; j++) 
       if(x[i] > x[j])
		  csere(x[i], x[j]);
}

int main(){
	cout << " - Egyszeru felcsereleses rendezes - \n\n";

	int x[] = {10, 5, 1, 45, 21, 100, 6, 99, 11, 4};
	int n = 10;

	cout << "A sorozat: " << endl;
	kiir(n, x);
	cout << endl;
	
	novekvoSorrendbeRendezes(n, x);

	cout << "Rendezve: " << endl;
	kiir(n, x);
	cout << endl;
}
