// Vlogatsos rendezs (helyes akkor is, ha az elemek nem mind klnbzk

#include <iostream>

int const spec = -10000;

using namespace std;

void kiir(int n, int x[]){
	for(int i = 1; i <= n; i++)
		cout << x[i] << " ";
	cout << endl;
}

void masol(int n, int x[], int y[]){
	for(int i = 1; i <= n; i++)
		y[i] = x[i];
}

void csere(int & a, int & b){
	a ^= b ^= a ^= b;	
}

void ValogatasosRendezes2(int n, int x[]){
	int rendezett[100];

	for(int i = 1; i <= n; i++)
		rendezett[i] = spec;

	for(int i = 1; i <= n; i++){	
		int k = 1;

		for(int j = 1; j <= n; j++)
			if(x[i] > x[j])
				k++;

		while(rendezett[k] != spec)
			k++;

		rendezett[k] = x[i];
	}

	masol(n, rendezett, x);
}

int main(){
	cout<<" - Valogatasos Rendezes 2 - \n\n";

	int x[] = {0, 11, 11, 2, 7, 7, 13, 6, 2, 10, 4, 12};// helyesen mkdik akkor is, ha az
                                                        // elemek nem mind klnbzk
	int n = 11;

	cout << "A sorozat: " << endl;
	kiir(n, x);
	cout << endl;
	
	ValogatasosRendezes2(n, x);

	cout<<"Rendezve: " << endl;
	kiir(n, x);
	cout << endl;
}
