// Minimumkivlasztsra pl rendezs

#include <iostream>

using namespace std;

void kiir(int n, int x[]){
	for(int i = 1; i <= n; i++)
		cout << x[i] <<" ";
	cout << endl;
}

void csere(int & a, int & b){
	int x = a;
	a = b;
	b = x;
}

void MinimumKivRendezes(int n, int x[]){
	for(int i = 1; i < n; i++){	
		int minIndex = i;

		for(int j = i + 1; j <= n; j++){
			if(x[minIndex] > x[j])
				minIndex = j;
		}

		csere(x[i], x[minIndex]);
	}
}

int main(){
	cout<<" - Minimumkivalasztasra epulo novekvo sorrendbe rendezes - \n\n";

	int x[] = {0, 11, 1, 21, 7, 5, 13, 6, 2, 10, 4, 12};
	int n = 11;

	cout << "A sorozat: " << endl;
	kiir(n, x);
	cout << endl;
	
	MinimumKivRendezes(n, x);

	cout<<"Rendezve: " << endl;
	kiir(n, x);
	cout << endl;
}